メインコンテンツへスキップ
GET
/
enterprises
/
{enterprise_id}
/
device_pinners
cURL
curl -i -X GET "https://api.box.com/2.0/enterprises/3442311/device_pinners" \
     -H "authorization: Bearer <ACCESS_TOKEN>"
{
  "entries": [
    {
      "id": "11446498",
      "type": "device_pinner",
      "owned_by": {
        "id": "11446498",
        "type": "user",
        "name": "Aaron Levie",
        "login": "ceo@example.com"
      },
      "product_name": "iPad"
    }
  ],
  "limit": 200,
  "next_marker": 3000,
  "order": [
    {
      "by": "id",
      "direction": "asc"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

enterprise_id
string
必須

企業のID。

クエリパラメータ

marker
string

結果が返される開始位置のマーカー。マーカーベースのページネーションを使用している場合に使用されます。

これを使用するには、usemarkertrueに設定する必要があります。

limit
integer<int64>

返す項目の1ページあたりの最大数。

必須範囲: x <= 1000
direction
enum<string>

結果を並べ替える方向。アルファベットの昇順 (ASC) または降順 (DESC) のいずれかを指定できます。

利用可能なオプション:
ASC,
DESC

レスポンス

指定した会社のデバイスピンのリストを返します。

デバイスピンのリスト。

entries
Device Pinner · object[]

デバイスピンのリスト。

limit
integer<int64>
デフォルト:100

これらのエントリで使用された制限値。許容される最大値を超えていない限り、クエリパラメータのlimitと等しくなります。

:

200

next_marker
integer<int64>

次の検索結果ページの開始場所のマーカー。

:

3000

order
object[]

項目が返される順序。